%define apachedir /etc/httpd
%define apacheuser apache 
%define apachegroup apache
%define contentdir /usr/share

Summary: The Horde calendar application.
Name: kronolith-h3
Version: 2.1.2
Release: 1%{dist}
License: GPL
Group: Applications/Internet
Source: ftp://ftp.horde.org/pub/kronolith/kronolith-h3-%{version}.tar.gz
#Source1: kronolith.conf
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.0
Obsoletes: kronolith
Provides: kronolith
Prereq: /usr/bin/perl
AutoReq: no

%description
Kronolith is the Horde calendar application.  It provides repeating
events, all-day events, custom fields, keywords, and managing multiple
users through Horde Authentication.  The calendar API that Kronolith
uses is abstracted; MCAL and SQL drivers are currently provided.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Kronolith)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf.d
#cp -p $RPM_SOURCE_DIR/kronolith.conf $RPM_BUILD_ROOT%{apachedir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{contentdir}/horde/kronolith
cp -pR * $RPM_BUILD_ROOT%{contentdir}/horde/kronolith
cd $RPM_BUILD_ROOT%{contentdir}/horde/kronolith/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
# Apache kronolith.conf file
#%config %{apachedir}/conf.d/kronolith.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde/kronolith
# Include top-level files by hand
%{contentdir}/horde/kronolith/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/kronolith/lib
%{contentdir}/horde/kronolith/locale
%{contentdir}/horde/kronolith/po
%{contentdir}/horde/kronolith/scripts
%{contentdir}/horde/kronolith/templates
%{contentdir}/horde/kronolith/themes
%{contentdir}/horde/kronolith/js
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/horde/kronolith/COPYING
%doc %{contentdir}/horde/kronolith/README
%docdir %{contentdir}/horde/kronolith/docs
%{contentdir}/horde/kronolith/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/horde/kronolith/config
%defattr(640,root,%{apachegroup})
%{contentdir}/horde/kronolith/config/.htaccess
%{contentdir}/horde/kronolith/config/*.dist
%config(noreplace) %{contentdir}/horde/kronolith/config/*.php
%config(noreplace) %{contentdir}/horde/kronolith/config/*.xml

%changelog
* Wed Aug 16 2006 Johnny Hughes <johnny@cetnos.org> 2.1.2.c4
- rolled in upstream update 2.1.2
- changed all config files from %config to %config(noreplace)

* Fri Apr 28 2006 Johnny Hughes <johnny@centos.org> 2.1.1.c4
- Rolled in upstream changes to 2.1.1

* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> 2.1.c4
- Rolled in upstream release to 2.1
 
* Mon Dec 12 2005 Johnny Hughes <johnny@centos.org> 2.0.6-1.centos4
- Rolled in upstream release to 2.0.6
- See this link: http://marc.theaimsgroup.com/?l=horde-announce&m=113433037303192&w=2

* Tue Nov 29 2005 Johnny Hughes <johnny@centos.org> 2.0.5-1.centos4
- Rolled in upstream release to 2.0.5

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> 2.0.4-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)

* Wed Jun 15 2005 Greg Swallow <gregswallow@skynetonline.ca>
- [2.0.3-1sme02]
- revamped for kronolith-h3-2.0.3 on SME7

* Tue Apr  8 2004 Douglas Musty <d.musty@acsalaska.net>
- [1.1.2-1es]
- Rebuilt with Kronolith 1.1.2

* Tue Mar 23 2004 Douglas Musty <d.musty@acsalaska.net>
- [1.1.1-1es]
- Rebuilt with Kronolith 1.1.1
- Patch SQL schema to USE horde database
- Change horde requirement to version 2.2 or greater
- Change apache requirement to version 1.3.27 or greater
- Change php requirement to version 4.1.2 or greater

* Tue Jul  1 2003 Dan Brown <dan@familybrown.org>
- [1.1-1es]
- Rebuilt with Kronolith 1.1

* Sun Apr  6 2003 Dan Brown <dan@familybrown.org>
- [1.0-1es]
- Modified variables for compatibility with Mitel SME Server
- Patched SQL schema to CREATE TABLE IF NOT EXISTS

* Mon Jun 24 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 2

* Thu Jun 13 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1 (private beta)

* Sun Dec 16 2001 Brent J. Nordquist <bjn@horde.org>
- initial RPM for Kronolith 0.0.3
